"use strict";

var _createClass = (function () { function defineProperties(target, props) { for (var key in props) { var prop = props[key]; prop.configurable = true; if (prop.value) prop.writable = true; } Object.defineProperties(target, props); } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

var _classCallCheck = function (instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } };

var debug = require("debug")("jefferson:locals");

/**
 * Configures application locals, which are available to Templating engines:
 * http://expressjs.com/api.html#app.locals
 */

var Locals = (function () {
    function Locals(app, conf) {
        _classCallCheck(this, Locals);

        this.app = app;
        this.conf = conf;
    }

    _createClass(Locals, {
        configure: {
            value: function configure() {
                var _this = this;

                var locals = this.conf.locals;
                Object.keys(locals).forEach(function (key) {
                    var value = locals[key];
                    debug("defining local " + key + " => " + typeof value);
                    _this.app.locals[key] = value;
                });
            }
        }
    });

    return Locals;
})();

module.exports = Locals;