"use strict";
var configSections = [require("./resolve_aliases"), require("./proxy_wrap")];

/**
 * Configures a middleware chain
 * @param middleware An array of middleware functions
 * @returns {*} An array of middleware functions
 */
module.exports = {
    process: function process(middleware, conf) {
        configSections.forEach(function (section) {
            middleware = section.process(middleware, conf);
        });
        return middleware;
    }
};