"use strict";

var _createClass = (function () { function defineProperties(target, props) { for (var key in props) { var prop = props[key]; prop.configurable = true; if (prop.value) prop.writable = true; } Object.defineProperties(target, props); } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

var _classCallCheck = function (instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } };

var debug = require("debug")("jefferson:engines");

/**
 * Configures templating engines for an app
 */

var Engines = (function () {
    function Engines(app, conf) {
        _classCallCheck(this, Engines);

        this.app = app;
        this.conf = conf;
    }

    _createClass(Engines, {
        configure: {
            value: function configure() {
                var _this = this;

                this.conf.engines.forEach(function (it) {
                    debug("configuring engine " + it.ext);
                    _this.app.engine(it.ext, it.callback);
                });
            }
        }
    });

    return Engines;
})();

module.exports = Engines;