"use strict";

var _createClass = (function () { function defineProperties(target, props) { for (var key in props) { var prop = props[key]; prop.configurable = true; if (prop.value) prop.writable = true; } Object.defineProperties(target, props); } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

var _classCallCheck = function (instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } };

var debug = require("debug")("jefferson");

/**
 * Configures parameter resolvers for the application
 */

var Resolvers = (function () {
    function Resolvers(app, conf) {
        _classCallCheck(this, Resolvers);

        this.app = app;
        this.conf = conf;
    }

    _createClass(Resolvers, {
        configure: {
            value: function configure() {
                var resolvers = Object.keys(this.conf.params);
                resolvers.forEach(this.wireResolver, this);
            }
        },
        wireResolver: {
            value: function wireResolver(name) {
                debug("defining parameter resolver for \"" + name + "\"");
                this.app.param(name, this.conf.params[name]);
            }
        }
    });

    return Resolvers;
})();

module.exports = Resolvers;