"use strict";

var _createClass = (function () { function defineProperties(target, props) { for (var key in props) { var prop = props[key]; prop.configurable = true; if (prop.value) prop.writable = true; } Object.defineProperties(target, props); } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

var _classCallCheck = function (instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } };

var debug = require("debug")("jefferson:settings");

/**
 * Configures application settings
 * http://expressjs.com/api.html#app.set
 */

var Settings = (function () {
    function Settings(app, conf) {
        _classCallCheck(this, Settings);

        this.app = app;
        this.conf = conf;
    }

    _createClass(Settings, {
        configure: {
            value: function configure() {
                var _this = this;

                var settingsKeys = Object.keys(this.conf.settings);
                settingsKeys.forEach(function (key) {
                    var value = _this.conf.settings[key];
                    debug("configuring setting " + key + " => " + typeof value);
                    _this.app.set(key, value);
                });
            }
        }
    });

    return Settings;
})();

module.exports = Settings;