"use strict";

var _createClass = (function () { function defineProperties(target, props) { for (var key in props) { var prop = props[key]; prop.configurable = true; if (prop.value) prop.writable = true; } Object.defineProperties(target, props); } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

var _classCallCheck = function (instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } };

var debug = require("debug")("jefferson:settings-toggles");

/**
 * Enables/Disables Features in the app settings
 * http://expressjs.com/api.html#app.enable
 * http://expressjs.com/api.html#app.disable
 */

var Toggles = (function () {
    function Toggles(app, conf) {
        _classCallCheck(this, Toggles);

        this.app = app;
        this.conf = conf;
    }

    _createClass(Toggles, {
        configure: {
            value: function configure() {
                var _this = this;

                debug("enabling " + this.conf.enable);
                this.conf.enable.forEach(function (feature) {
                    return _this.app.enable(feature);
                });
                debug("disabling " + this.conf.disable);
                this.conf.disable.forEach(function (feature) {
                    return _this.app.disable(feature);
                });
            }
        }
    });

    return Toggles;
})();

module.exports = Toggles;